PHPExcel_Style

# Class: PHPExcel_Style_Borders

Source Location: /PHPExcel/Style/Borders.php

### Class Overview

PHPExcel_Style_Borders

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

Implements interfaces:

- PHPExcel_IComparable

### Constants

- DIAGONAL_BOTH
- DIAGONAL_DOWN
- DIAGONAL_NONE
- DIAGONAL_UP

### Methods

- __construct
- applyFromArray
- bindParent
- getActiveCell
- getActiveSheet
- getAllBorders
- getBottom
- getDiagonal
- getDiagonalDirection
- getHashCode
- getHorizontal
- getInside
- getIsSupervisor
- getLeft
- getOutline
- getRight
- getSelectedCells
- getSharedComponent
- getStyleArray
- getTop
- getVertical
- setDiagonalDirection
- __clone

### Class Details

[line 36]
PHPExcel_Style_Borders

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 152]

`PHPExcel_Style_Borders __construct( [boolean $isSupervisor = false], [boolean $isConditional = false])`

Create a new PHPExcel_Style_Borders

#### Tags:

access: | public

#### Parameters:

boolean | $isSupervisor | Flag indicating if this is a supervisor or not Leave this value at default unless you understand exactly what its ramifications are
boolean | $isConditional | Flag indicating if this is a conditional style or not Leave this value at default unless you understand exactly what its ramifications are

[ Top ]

### method applyFromArray [line 302]

`PHPExcel_Style_Borders applyFromArray( [array $pStyles = null])`

Apply styles from array

1. $objPHPExcel-> getActiveSheet ()->getStyle('B2')->getBorders()-> applyFromArray (
2. array(
3. 'bottom' => array(
4. 'style' => PHPExcel_Style_Border ::BORDER_DASHDOT,
5. 'color' => array(
6. 'rgb' => '808080'
7. )
8. ),
9. 'top' => array(
10. 'style' => PHPExcel_Style_Border ::BORDER_DASHDOT,
11. 'color' => array(
12. 'rgb' => '808080'
13. )
14. )
15. )
16. );

1. $objPHPExcel-> getActiveSheet ()->getStyle('B2')->getBorders()-> applyFromArray (
2. array(
3. 'allborders' => array(
4. 'style' => PHPExcel_Style_Border ::BORDER_DASHDOT,
5. 'color' => array(
6. 'rgb' => '808080'
7. )
8. )
9. )
10. );

#### Tags:

throws: | Exception
access: | public

#### Parameters:

array | $pStyles | Array containing style information

[ Top ]

### method bindParent [line 194]

`PHPExcel_Style_Borders bindParent( PHPExcel_Style $parent)`

Bind parent. Only used for supervisor

#### Tags:

access: | public

#### Parameters:

PHPExcel_Style | $parent |

[ Top ]

### method getActiveCell [line 248]

`string getActiveCell( )`

Get the currently active cell coordinate in currently active sheet.

Only used for supervisor

#### Tags:

return: | E.g. 'A1'
access: | public

[ Top ]

### method getActiveSheet [line 226]

`PHPExcel_Worksheet getActiveSheet( )`

Get the currently active sheet. Only used for supervisor

#### Tags:

access: | public

[ Top ]

### method getAllBorders [line 389]

`PHPExcel_Style_Border getAllBorders( )`

Get AllBorders (pseudo-border). Only applies to supervisor.

#### Tags:

throws: | Exception
access: | public

[ Top ]

### method getBottom [line 370]

`PHPExcel_Style_Border getBottom( )`

Get Bottom

#### Tags:

access: | public

[ Top ]

### method getDiagonal [line 379]

`PHPExcel_Style_Border getDiagonal( )`

Get Diagonal

#### Tags:

access: | public

[ Top ]

### method getDiagonalDirection [line 453]

`int getDiagonalDirection( )`

Get DiagonalDirection

#### Tags:

access: | public

[ Top ]

### method getHashCode [line 484]

`string getHashCode( )`

Get hash code

#### Tags:

return: | Hash code
access: | public

[ Top ]

### method getHorizontal [line 441]

`PHPExcel_Style_Border getHorizontal( )`

Get Horizontal (pseudo-border). Only applies to supervisor.

#### Tags:

throws: | Exception
access: | public

[ Top ]

### method getInside [line 415]

`boolean getInside( )`

Get Inside (pseudo-border). Only applies to supervisor.

#### Tags:

throws: | Exception
access: | public

[ Top ]

### method getIsSupervisor [line 205]

`boolean getIsSupervisor( )`

Is this a supervisor or a real style component?

#### Tags:

access: | public

[ Top ]

### method getLeft [line 343]

`PHPExcel_Style_Border getLeft( )`

Get Left

#### Tags:

access: | public

[ Top ]

### method getOutline [line 402]

`boolean getOutline( )`

Get Outline (pseudo-border). Only applies to supervisor.

#### Tags:

throws: | Exception
access: | public

[ Top ]

### method getRight [line 352]

`PHPExcel_Style_Border getRight( )`

Get Right

#### Tags:

access: | public

[ Top ]

### method getSelectedCells [line 237]

`string getSelectedCells( )`

Get the currently active cell coordinate in currently active sheet.

Only used for supervisor

#### Tags:

return: | E.g. 'A1'
access: | public

[ Top ]

### method getSharedComponent [line 216]

`PHPExcel_Style_Borders getSharedComponent( )`

Get the shared style component for the currently active cell in currently active sheet.

Only used for style supervisor

#### Tags:

access: | public

[ Top ]

### method getStyleArray [line 259]

`array getStyleArray( array $array)`

Build style array from subcomponents

#### Tags:

access: | public

#### Parameters:

array | $array |

[ Top ]

### method getTop [line 361]

`PHPExcel_Style_Border getTop( )`

Get Top

#### Tags:

access: | public

[ Top ]

### method getVertical [line 428]

`PHPExcel_Style_Border getVertical( )`

Get Vertical (pseudo-border). Only applies to supervisor.

#### Tags:

throws: | Exception
access: | public

[ Top ]

### method setDiagonalDirection [line 466]

`PHPExcel_Style_Borders setDiagonalDirection( [int $pValue = PHPExcel_Style_Borders::DIAGONAL_NONE])`

Set DiagonalDirection

#### Tags:

access: | public

#### Parameters:

int | $pValue |

[ Top ]

### method __clone [line 502]

`void __clone( )`

Implement PHP __clone to create a deep clone, not just a shallow copy.

#### Tags:

access: | public

[ Top ]

### Class Constants

#### DIAGONAL_BOTH = 3

[line 42]

[ Top ]

#### DIAGONAL_DOWN = 2

[line 41]

[ Top ]

#### DIAGONAL_NONE = 0

[line 39]

[ Top ]

#### DIAGONAL_UP = 1

[line 40]

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:15:18 +0200 by phpDocumentor 1.4.4